#include <afxwin.h>
#include "resource.h"

class CMyDlg: public CDialog
{
public:
	CMyDlg(): CDialog(IDD_MAIN){}

	BOOL OnInitDialog()
	{
	    LPCTSTR init[] = {
	    	TEXT("Item 1"),
	    	TEXT("Item 2"),
	    	TEXT("Item 3"),
	    	TEXT("Item 4"),
	    	TEXT("Item 5"),
	    	TEXT("Item 6"),
	    	TEXT("Item 7"),
	    	TEXT("Item 8"),
	    	NULL
	    };
		CComboBox* combo = (CComboBox*) GetDlgItem(IDC_COMBO);
		for (int idx = 0; init[idx]; idx++)
		{
			combo->AddString(init[idx]);
		}
		combo->SetCurSel(0);
		return TRUE;
	}

	void OnOK()
	{
		CString txt;
		GetDlgItemText(IDC_EDIT, txt);
		CComboBox* combo = (CComboBox*) GetDlgItem(IDC_COMBO);
		combo->AddString(txt);
	}
};


class CMyApp: public CWinApp
{
	BOOL InitInstance()
	{	
		CMyDlg dlg;
		dlg.DoModal();
		return FALSE;
	}
};

CMyApp theApp;